Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Key Life Cycle Management APIs

Canceling a Bulk Job

search

Please Note:

Canceling a Bulk Job

Use the post /v1/cckm/aws/bulkjob/{id}/cancel API to cancel a specific bulk job.

Note

To perform the bulk job operations, the CCKM Users group requires the keybulkoperation ACL. Refer to Managing User Permissions on AWS KMS for details.

Syntax

curl -k '<IP>/api/v1/cckm/aws/bulkjob/{id}/cancel' -X POST -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} represents the resource ID of the bulk job.

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/aws/bulkjob/e612b64f-6364-48ce-92ec-c6dd608d7ad0/cancel' -X POST -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJjNWMwZGJlNC1lMmJmLTQ3M2MtODY4MC01NWVkMWIzMDEzMmEiLCJzdWIiOiJsb2NhbHxhNjdjMzc0OC05YTRiLTRhZGQtYjNkOS0wNTRiYTIwYmUzYWMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMDhkNDI5ZjktNDgzYi00ODdlLWJjOTQtNGE1Mjc2ZDI2ZjZjIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImYyYjVlZmIxLTkyMmEtNGFiNC04NGVmLTJlMGU4NDlmZDEyYiIsImlhdCI6MTYwNDU1ODQyNiwiZXhwIjoxNjA0NTU4NzI2fQ.SWwAyD4uOEMNxkwvJBH9jFGlVwgKzKM6aDWeR_JUXdc' --compressed

Example Response

{
    "id": "e612b64f-6364-48ce-92ec-c6dd608d7ad0",
    "uri": "kylo:kylo:cckm:bulkjob:e612b64f-6364-48ce-92ec-c6dd608d7ad0",
    "account": "kylo:kylo:admin:accounts:kylo",
    "createdAt": "2023-02-10T08:19:48.558869Z",
    "updatedAt": "2023-02-10T08:19:48.970377Z",
    "completed_at": "2023-02-10T08:19:48.970204Z",
    "overall_status": "completed",
    "detailed_status": {
        "2387500d-bcac-4055-a48d-19592c3332ff": "Success",
        "2387500d-bcac-4055-a48d-19592c3332fg": "Success"
    },
    "abort": true,
    "cloud": "aws",
    "keys": [
        "2387500d-bcac-4055-a48d-19592c3332ff",
        "2387500d-bcac-4055-a48d-19592c3332fg"
    ],
    "operation": "enablekey"
}

The sample output shows that the abort parameter is set to true. This indicates that the bulk job is canceled.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.